function regform_onsubmit() 
{
if(checkspace(document.regform.name.value)) {
	document.regform.name.focus();
    alert("请输入昵称!");
	return false;
   }
  
else if(checkspace(document.regform.content.value)) {
	document.regform.content.focus();
    alert("请输入留言!");
	return false;
   }
else if(checkspace(document.regform.content.value) || document.regform.content.value.length < 2) {
	document.regform.content.focus();
    alert("留言字数太少!");
	return false;
  }

else if(document.regform.email.value.length!=0)
  {
    if (document.regform.email.value.charAt(0)=="." ||        
         document.regform.email.value.charAt(0)=="@"||       
         document.regform.email.value.indexOf('@', 0) == -1 || 
         document.regform.email.value.indexOf('.', 0) == -1 || 
         document.regform.email.value.lastIndexOf("@")==document.regform.email.value.length-1 || 
         document.regform.email.value.lastIndexOf(".")==document.regform.email.value.length-1)
     {
      alert("错误的邮箱格式!");
      document.regform.email.focus();
      return false;
      }
   }
 else
  {
   alert("请输入邮箱!");
   document.regform.email.focus();
   return false;
   }	 	 
}

function checkspace(checkstr) {
  var str = '';
  for(i = 0; i < checkstr.length; i++) {
    str = str + ' ';
  }
  return (str == checkstr);
}